This is the full reference documentation for the Mailchimp agent connector.
Supported entities and actions
The Mailchimp connector supports the following entities and actions.
| Entity | Actions |
|---|
| Campaigns | List, Get, Context Store Search, Context Store SQL Query |
| Lists | List, Get, Context Store Search, Context Store SQL Query |
| List Members | List, Get, Context Store Search, Context Store SQL Query |
| Reports | List, Get, Context Store Search, Context Store SQL Query |
| Email Activity | List, Context Store Search, Context Store SQL Query |
| Automations | List, Context Store Search, Context Store SQL Query |
| Tags | List, Context Store Search, Context Store SQL Query |
| Interest Categories | List, Get, Context Store Search, Context Store SQL Query |
| Interests | List, Get, Context Store Search, Context Store SQL Query |
| Segments | List, Get, Context Store Search, Context Store SQL Query |
| Segment Members | List, Context Store Search, Context Store SQL Query |
| Unsubscribes | List, Context Store Search, Context Store SQL Query |
Campaigns
Campaigns List
Get all campaigns in an account
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "campaigns",
"action": "list"
}'
Python SDK
await mailchimp.campaigns.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "campaigns",
"action": "list"
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
count | integer | No | The number of records to return. Default is 10. Maximum is 1000. |
offset | integer | No | Used for pagination, this is the number of records from a collection to skip. |
type | "regular" | "plaintext" | "absplit" | "rss" | "variate" | No | The campaign type |
status | "save" | "paused" | "schedule" | "sending" | "sent" | No | The status of the campaign |
before_send_time | string | No | Restrict the response to campaigns sent before the set time |
since_send_time | string | No | Restrict the response to campaigns sent after the set time |
before_create_time | string | No | Restrict the response to campaigns created before the set time |
since_create_time | string | No | Restrict the response to campaigns created after the set time |
list_id | string | No | The unique id for the list |
folder_id | string | No | The unique folder id |
sort_field | "create_time" | "send_time" | No | Returns files sorted by the specified field |
sort_dir | "ASC" | "DESC" | No | Determines the order direction for sorted results |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
web_id | integer | null | |
parent_campaign_id | string | null | |
type | string | null | |
create_time | string | null | |
archive_url | string | null | |
long_archive_url | string | null | |
status | string | null | |
emails_sent | integer | null | |
send_time | string | null | |
content_type | string | null | |
needs_block_refresh | boolean | null | |
resendable | boolean | null | |
recipients | object | null | |
settings | object | null | |
tracking | object | null | |
report_summary | object | null | |
delivery_status | object | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Campaigns Get
Get information about a specific campaign
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "campaigns",
"action": "get",
"params": {
"campaign_id": "<str>"
}
}'
Python SDK
await mailchimp.campaigns.get(
campaign_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "campaigns",
"action": "get",
"params": {
"campaign_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
campaign_id | string | Yes | The unique id for the campaign |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
web_id | integer | null | |
parent_campaign_id | string | null | |
type | string | null | |
create_time | string | null | |
archive_url | string | null | |
long_archive_url | string | null | |
status | string | null | |
emails_sent | integer | null | |
send_time | string | null | |
content_type | string | null | |
needs_block_refresh | boolean | null | |
resendable | boolean | null | |
recipients | object | null | |
settings | object | null | |
tracking | object | null | |
report_summary | object | null | |
delivery_status | object | null | |
Campaigns Context Store Search
Search and filter campaigns records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "campaigns",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"ab_split_opts": {}
}
}
}
}
}'
Python SDK
await mailchimp.campaigns.context_store_search(
query={"filter": {"eq": {"ab_split_opts": {}}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "campaigns",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"ab_split_opts": {}}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
ab_split_opts | object | A/B Testing options for a campaign. |
archive_url | string | The link to the campaign's archive version in ISO 8601 format. |
content_type | string | How the campaign's content is put together. |
create_time | string | The date and time the campaign was created in ISO 8601 format. |
delivery_status | object | Updates on campaigns in the process of sending. |
emails_sent | integer | The total number of emails sent for this campaign. |
id | string | A string that uniquely identifies this campaign. |
long_archive_url | string | The original link to the campaign's archive version. |
needs_block_refresh | boolean | Determines if the campaign needs its blocks refreshed by opening the web-based campaign editor. D... |
parent_campaign_id | string | If this campaign is the child of another campaign, this identifies the parent campaign. For Examp... |
recipients | object | List settings for the campaign. |
report_summary | object | For sent campaigns, a summary of opens, clicks, and e-commerce data. |
resendable | boolean | Determines if the campaign qualifies to be resent to non-openers. |
rss_opts | object | RSS options for a campaign. |
send_time | string | The date and time a campaign was sent. |
settings | object | The settings for your campaign, including subject, from name, reply-to address, and more. |
social_card | object | The preview for the campaign, rendered by social networks like Facebook and Twitter. [Learn more]... |
status | string | The current status of the campaign. |
tracking | object | The tracking options for a campaign. |
type | string | There are four types of campaigns y... |
variate_settings | object | The settings specific to A/B test campaigns. |
web_id | integer | The ID used in the Mailchimp web application. View this campaign in your Mailchimp account at `ht... |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].ab_split_opts | object | A/B Testing options for a campaign. |
data[].archive_url | string | The link to the campaign's archive version in ISO 8601 format. |
data[].content_type | string | How the campaign's content is put together. |
data[].create_time | string | The date and time the campaign was created in ISO 8601 format. |
data[].delivery_status | object | Updates on campaigns in the process of sending. |
data[].emails_sent | integer | The total number of emails sent for this campaign. |
data[].id | string | A string that uniquely identifies this campaign. |
data[].long_archive_url | string | The original link to the campaign's archive version. |
data[].needs_block_refresh | boolean | Determines if the campaign needs its blocks refreshed by opening the web-based campaign editor. D... |
data[].parent_campaign_id | string | If this campaign is the child of another campaign, this identifies the parent campaign. For Examp... |
data[].recipients | object | List settings for the campaign. |
data[].report_summary | object | For sent campaigns, a summary of opens, clicks, and e-commerce data. |
data[].resendable | boolean | Determines if the campaign qualifies to be resent to non-openers. |
data[].rss_opts | object | RSS options for a campaign. |
data[].send_time | string | The date and time a campaign was sent. |
data[].settings | object | The settings for your campaign, including subject, from name, reply-to address, and more. |
data[].social_card | object | The preview for the campaign, rendered by social networks like Facebook and Twitter. [Learn more]... |
data[].status | string | The current status of the campaign. |
data[].tracking | object | The tracking options for a campaign. |
data[].type | string | There are four types of campaigns y... |
data[].variate_settings | object | The settings specific to A/B test campaigns. |
data[].web_id | integer | The ID used in the Mailchimp web application. View this campaign in your Mailchimp account at `ht... |
Campaigns Context Store SQL Query
Run a SQL query against campaigns records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "campaigns",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.campaigns.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "campaigns",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Lists
Lists List
Get information about all lists in the account
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "lists",
"action": "list"
}'
Python SDK
await mailchimp.lists.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "lists",
"action": "list"
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
before_date_created | string | No | Restrict response to lists created before the set date |
since_date_created | string | No | Restrict response to lists created after the set date |
before_campaign_last_sent | string | No | Restrict results to lists created before the last campaign send date |
since_campaign_last_sent | string | No | Restrict results to lists created after the last campaign send date |
email | string | No | Restrict results to lists that include a specific subscriber's email address |
sort_field | "date_created" | No | Returns files sorted by the specified field |
sort_dir | "ASC" | "DESC" | No | Determines the order direction for sorted results |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
web_id | integer | null | |
name | string | null | |
contact | object | null | |
permission_reminder | string | null | |
use_archive_bar | boolean | null | |
campaign_defaults | object | null | |
notify_on_subscribe | string | null | |
notify_on_unsubscribe | string | null | |
date_created | string | null | |
list_rating | integer | null | |
email_type_option | boolean | null | |
subscribe_url_short | string | null | |
subscribe_url_long | string | null | |
beamer_address | string | null | |
visibility | string | null | |
double_optin | boolean | null | |
has_welcome | boolean | null | |
marketing_permissions | boolean | null | |
stats | object | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Lists Get
Get information about a specific list in your Mailchimp account
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "lists",
"action": "get",
"params": {
"list_id": "<str>"
}
}'
Python SDK
await mailchimp.lists.get(
list_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "lists",
"action": "get",
"params": {
"list_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
web_id | integer | null | |
name | string | null | |
contact | object | null | |
permission_reminder | string | null | |
use_archive_bar | boolean | null | |
campaign_defaults | object | null | |
notify_on_subscribe | string | null | |
notify_on_unsubscribe | string | null | |
date_created | string | null | |
list_rating | integer | null | |
email_type_option | boolean | null | |
subscribe_url_short | string | null | |
subscribe_url_long | string | null | |
beamer_address | string | null | |
visibility | string | null | |
double_optin | boolean | null | |
has_welcome | boolean | null | |
marketing_permissions | boolean | null | |
stats | object | null | |
Lists Context Store Search
Search and filter lists records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "lists",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"beamer_address": "<str>"
}
}
}
}
}'
Python SDK
await mailchimp.lists.context_store_search(
query={"filter": {"eq": {"beamer_address": "<str>"}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "lists",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"beamer_address": "<str>"}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
beamer_address | string | The list's Email Beamer address. |
campaign_defaults | object | Default values for campaigns created for this list. |
contact | object | Contact information displayed in campaign footers to comply with international spam laws. |
date_created | string | The date and time that this list was created in ISO 8601 format. |
double_optin | boolean | Whether or not to require the subscriber to confirm subscription via email. |
email_type_option | boolean | Whether the list supports multiple formats for emails. When set to true, subscribers can choose... |
has_welcome | boolean | Whether or not this list has a welcome automation connected. |
id | string | A string that uniquely identifies this list. |
list_rating | integer | An auto-generated activity score for the list (0-5). |
marketing_permissions | boolean | Whether or not the list has marketing permissions (eg. GDPR) enabled. |
modules | array | Any list-specific modules installed for this list. |
name | string | The name of the list. |
notify_on_subscribe | string | The email address to send subscribe notifications to. |
notify_on_unsubscribe | string | The email address to send unsubscribe notifications to. |
permission_reminder | string | The permission reminder for the list. |
stats | object | Stats for the list. Many of these are cached for at least five minutes. |
subscribe_url_long | string | The full version of this list's subscribe form (host will vary). |
subscribe_url_short | string | Our EepURL shortened version of this list's subscribe form. |
use_archive_bar | boolean | Whether campaigns for this list use the Archive Bar in archives by default. |
visibility | string | Whether this list is public or private. |
web_id | integer | The ID used in the Mailchimp web application. View this list in your Mailchimp account at `https:... |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].beamer_address | string | The list's Email Beamer address. |
data[].campaign_defaults | object | Default values for campaigns created for this list. |
data[].contact | object | Contact information displayed in campaign footers to comply with international spam laws. |
data[].date_created | string | The date and time that this list was created in ISO 8601 format. |
data[].double_optin | boolean | Whether or not to require the subscriber to confirm subscription via email. |
data[].email_type_option | boolean | Whether the list supports multiple formats for emails. When set to true, subscribers can choose... |
data[].has_welcome | boolean | Whether or not this list has a welcome automation connected. |
data[].id | string | A string that uniquely identifies this list. |
data[].list_rating | integer | An auto-generated activity score for the list (0-5). |
data[].marketing_permissions | boolean | Whether or not the list has marketing permissions (eg. GDPR) enabled. |
data[].modules | array | Any list-specific modules installed for this list. |
data[].name | string | The name of the list. |
data[].notify_on_subscribe | string | The email address to send subscribe notifications to. |
data[].notify_on_unsubscribe | string | The email address to send unsubscribe notifications to. |
data[].permission_reminder | string | The permission reminder for the list. |
data[].stats | object | Stats for the list. Many of these are cached for at least five minutes. |
data[].subscribe_url_long | string | The full version of this list's subscribe form (host will vary). |
data[].subscribe_url_short | string | Our EepURL shortened version of this list's subscribe form. |
data[].use_archive_bar | boolean | Whether campaigns for this list use the Archive Bar in archives by default. |
data[].visibility | string | Whether this list is public or private. |
data[].web_id | integer | The ID used in the Mailchimp web application. View this list in your Mailchimp account at `https:... |
Lists Context Store SQL Query
Run a SQL query against lists records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "lists",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.lists.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "lists",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
List Members
List Members List
Get information about members in a specific Mailchimp list
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "list_members",
"action": "list",
"params": {
"list_id": "<str>"
}
}'
Python SDK
await mailchimp.list_members.list(
list_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "list_members",
"action": "list",
"params": {
"list_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
email_type | string | No | The email type |
status | "subscribed" | "unsubscribed" | "cleaned" | "pending" | "transactional" | "archived" | No | The subscriber's status |
since_timestamp_opt | string | No | Restrict results to subscribers who opted-in after the set timeframe |
before_timestamp_opt | string | No | Restrict results to subscribers who opted-in before the set timeframe |
since_last_changed | string | No | Restrict results to subscribers whose information changed after the set timeframe |
before_last_changed | string | No | Restrict results to subscribers whose information changed before the set timeframe |
unique_email_id | string | No | A unique identifier for the email address across all Mailchimp lists |
vip_only | boolean | No | A filter to return only the list's VIP members |
interest_category_id | string | No | The unique id for the interest category |
interest_ids | string | No | Used to filter list members by interests |
interest_match | "any" | "all" | "none" | No | Used to filter list members by interests |
sort_field | "timestamp_opt" | "timestamp_signup" | "last_changed" | No | Returns files sorted by the specified field |
sort_dir | "ASC" | "DESC" | No | Determines the order direction for sorted results |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
email_address | string | null | |
unique_email_id | string | null | |
contact_id | string | null | |
full_name | string | null | |
web_id | integer | null | |
email_type | string | null | |
status | string | null | |
unsubscribe_reason | string | null | |
consents_to_one_to_one_messaging | boolean | null | |
merge_fields | object | null | |
interests | object | null | |
stats | object | null | |
ip_signup | string | null | |
timestamp_signup | string | null | |
ip_opt | string | null | |
timestamp_opt | string | null | |
member_rating | integer | null | |
last_changed | string | null | |
language | string | null | |
vip | boolean | null | |
email_client | string | null | |
location | object | null | |
source | string | null | |
tags_count | integer | null | |
tags | array | null | |
list_id | string | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
List Members Get
Get information about a specific list member
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "list_members",
"action": "get",
"params": {
"list_id": "<str>",
"subscriber_hash": "<str>"
}
}'
Python SDK
await mailchimp.list_members.get(
list_id="<str>",
subscriber_hash="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "list_members",
"action": "get",
"params": {
"list_id": "<str>",
"subscriber_hash": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
subscriber_hash | string | Yes | The MD5 hash of the lowercase version of the list member's email address |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
email_address | string | null | |
unique_email_id | string | null | |
contact_id | string | null | |
full_name | string | null | |
web_id | integer | null | |
email_type | string | null | |
status | string | null | |
unsubscribe_reason | string | null | |
consents_to_one_to_one_messaging | boolean | null | |
merge_fields | object | null | |
interests | object | null | |
stats | object | null | |
ip_signup | string | null | |
timestamp_signup | string | null | |
ip_opt | string | null | |
timestamp_opt | string | null | |
member_rating | integer | null | |
last_changed | string | null | |
language | string | null | |
vip | boolean | null | |
email_client | string | null | |
location | object | null | |
source | string | null | |
tags_count | integer | null | |
tags | array | null | |
list_id | string | null | |
List Members Context Store Search
Search and filter list members records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "list_members",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": "<str>"
}
}
}
}
}'
Python SDK
await mailchimp.list_members.context_store_search(
query={"filter": {"eq": {"id": "<str>"}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "list_members",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": "<str>"}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | string | The MD5 hash of the lowercase version of the list member's email address |
email_address | string | Email address for a subscriber |
unique_email_id | string | An identifier for the address across all of Mailchimp |
contact_id | string | As Mailchimp evolves beyond email, you may eventually have contacts without email addresses |
full_name | string | The contact's full name |
web_id | integer | The ID used in the Mailchimp web application |
email_type | string | Type of email this member asked to get |
status | string | Subscriber's current status |
unsubscribe_reason | string | A subscriber's reason for unsubscribing |
consents_to_one_to_one_messaging | boolean | Indicates whether a contact consents to 1:1 messaging |
merge_fields | object | A dictionary of merge fields where the keys are the merge tags |
interests | object | The key of this object's properties is the ID of the interest in question |
stats | object | Open and click rates for this subscriber |
ip_signup | string | IP address the subscriber signed up from |
timestamp_signup | string | The date and time the subscriber signed up for the list |
ip_opt | string | The IP address the subscriber used to confirm their opt-in status |
timestamp_opt | string | The date and time the subscriber confirmed their opt-in status |
member_rating | integer | Star rating for this member, between 1 and 5 |
last_changed | string | The date and time the member's info was last changed |
language | string | If set/detected, the subscriber's language |
vip | boolean | VIP status for subscriber |
email_client | string | The list member's email client |
location | object | Subscriber location information |
source | string | The source from which the subscriber was added to this list |
tags_count | integer | The number of tags applied to this member |
tags | array | Returns up to 50 tags applied to this member |
list_id | string | The list id |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | string | The MD5 hash of the lowercase version of the list member's email address |
data[].email_address | string | Email address for a subscriber |
data[].unique_email_id | string | An identifier for the address across all of Mailchimp |
data[].contact_id | string | As Mailchimp evolves beyond email, you may eventually have contacts without email addresses |
data[].full_name | string | The contact's full name |
data[].web_id | integer | The ID used in the Mailchimp web application |
data[].email_type | string | Type of email this member asked to get |
data[].status | string | Subscriber's current status |
data[].unsubscribe_reason | string | A subscriber's reason for unsubscribing |
data[].consents_to_one_to_one_messaging | boolean | Indicates whether a contact consents to 1:1 messaging |
data[].merge_fields | object | A dictionary of merge fields where the keys are the merge tags |
data[].interests | object | The key of this object's properties is the ID of the interest in question |
data[].stats | object | Open and click rates for this subscriber |
data[].ip_signup | string | IP address the subscriber signed up from |
data[].timestamp_signup | string | The date and time the subscriber signed up for the list |
data[].ip_opt | string | The IP address the subscriber used to confirm their opt-in status |
data[].timestamp_opt | string | The date and time the subscriber confirmed their opt-in status |
data[].member_rating | integer | Star rating for this member, between 1 and 5 |
data[].last_changed | string | The date and time the member's info was last changed |
data[].language | string | If set/detected, the subscriber's language |
data[].vip | boolean | VIP status for subscriber |
data[].email_client | string | The list member's email client |
data[].location | object | Subscriber location information |
data[].source | string | The source from which the subscriber was added to this list |
data[].tags_count | integer | The number of tags applied to this member |
data[].tags | array | Returns up to 50 tags applied to this member |
data[].list_id | string | The list id |
List Members Context Store SQL Query
Run a SQL query against list members records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "list_members",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.list_members.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "list_members",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Reports
Reports List
Get campaign reports
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "reports",
"action": "list"
}'
Python SDK
await mailchimp.reports.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "reports",
"action": "list"
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
type | "regular" | "plaintext" | "absplit" | "rss" | "variate" | No | The campaign type |
before_send_time | string | No | Restrict the response to campaigns sent before the set time |
since_send_time | string | No | Restrict the response to campaigns sent after the set time |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
campaign_title | string | null | |
type | string | null | |
list_id | string | null | |
list_is_active | boolean | null | |
list_name | string | null | |
subject_line | string | null | |
preview_text | string | null | |
emails_sent | integer | null | |
abuse_reports | integer | null | |
unsubscribed | integer | null | |
send_time | string | null | |
rss_last_send | string | null | |
bounces | object | null | |
forwards | object | null | |
opens | object | null | |
clicks | object | null | |
facebook_likes | object | null | |
industry_stats | object | null | |
list_stats | object | null | |
ecommerce | object | null | |
delivery_status | object | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Reports Get
Get report details for a specific sent campaign
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "reports",
"action": "get",
"params": {
"campaign_id": "<str>"
}
}'
Python SDK
await mailchimp.reports.get(
campaign_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "reports",
"action": "get",
"params": {
"campaign_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
campaign_id | string | Yes | The unique id for the campaign |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
campaign_title | string | null | |
type | string | null | |
list_id | string | null | |
list_is_active | boolean | null | |
list_name | string | null | |
subject_line | string | null | |
preview_text | string | null | |
emails_sent | integer | null | |
abuse_reports | integer | null | |
unsubscribed | integer | null | |
send_time | string | null | |
rss_last_send | string | null | |
bounces | object | null | |
forwards | object | null | |
opens | object | null | |
clicks | object | null | |
facebook_likes | object | null | |
industry_stats | object | null | |
list_stats | object | null | |
ecommerce | object | null | |
delivery_status | object | null | |
Reports Context Store Search
Search and filter reports records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "reports",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"ab_split": {}
}
}
}
}
}'
Python SDK
await mailchimp.reports.context_store_search(
query={"filter": {"eq": {"ab_split": {}}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "reports",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"ab_split": {}}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
ab_split | object | General stats about different groups of an A/B Split campaign. Does not return information about ... |
abuse_reports | integer | The number of abuse reports generated for this campaign. |
bounces | object | An object describing the bounce summary for the campaign. |
campaign_title | string | The title of the campaign. |
clicks | object | An object describing the click activity for the campaign. |
delivery_status | object | Updates on campaigns in the process of sending. |
ecommerce | object | E-Commerce stats for a campaign. |
emails_sent | integer | The total number of emails sent for this campaign. |
facebook_likes | object | An object describing campaign engagement on Facebook. |
forwards | object | An object describing the forwards and forward activity for the campaign. |
id | string | A string that uniquely identifies this campaign. |
industry_stats | object | The average campaign statistics for your industry. |
list_id | string | The unique list id. |
list_is_active | boolean | The status of the list used, namely if it's deleted or disabled. |
list_name | string | The name of the list. |
list_stats | object | The average campaign statistics for your list. This won't be present if we haven't calculated i... |
opens | object | An object describing the open activity for the campaign. |
preview_text | string | The preview text for the campaign. |
rss_last_send | string | For RSS campaigns, the date and time of the last send in ISO 8601 format. |
send_time | string | The date and time a campaign was sent in ISO 8601 format. |
share_report | object | The url and password for the VIP report. |
subject_line | string | The subject line for the campaign. |
timeseries | array | An hourly breakdown of the performance of the campaign over the first 24 hours. |
timewarp | array | An hourly breakdown of sends, opens, and clicks if a campaign is sent using timewarp. |
type | string | The type of campaign (regular, plain-text, ab_split, rss, automation, variate, or auto). |
unsubscribed | integer | The total number of unsubscribed members for this campaign. |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].ab_split | object | General stats about different groups of an A/B Split campaign. Does not return information about ... |
data[].abuse_reports | integer | The number of abuse reports generated for this campaign. |
data[].bounces | object | An object describing the bounce summary for the campaign. |
data[].campaign_title | string | The title of the campaign. |
data[].clicks | object | An object describing the click activity for the campaign. |
data[].delivery_status | object | Updates on campaigns in the process of sending. |
data[].ecommerce | object | E-Commerce stats for a campaign. |
data[].emails_sent | integer | The total number of emails sent for this campaign. |
data[].facebook_likes | object | An object describing campaign engagement on Facebook. |
data[].forwards | object | An object describing the forwards and forward activity for the campaign. |
data[].id | string | A string that uniquely identifies this campaign. |
data[].industry_stats | object | The average campaign statistics for your industry. |
data[].list_id | string | The unique list id. |
data[].list_is_active | boolean | The status of the list used, namely if it's deleted or disabled. |
data[].list_name | string | The name of the list. |
data[].list_stats | object | The average campaign statistics for your list. This won't be present if we haven't calculated i... |
data[].opens | object | An object describing the open activity for the campaign. |
data[].preview_text | string | The preview text for the campaign. |
data[].rss_last_send | string | For RSS campaigns, the date and time of the last send in ISO 8601 format. |
data[].send_time | string | The date and time a campaign was sent in ISO 8601 format. |
data[].share_report | object | The url and password for the VIP report. |
data[].subject_line | string | The subject line for the campaign. |
data[].timeseries | array | An hourly breakdown of the performance of the campaign over the first 24 hours. |
data[].timewarp | array | An hourly breakdown of sends, opens, and clicks if a campaign is sent using timewarp. |
data[].type | string | The type of campaign (regular, plain-text, ab_split, rss, automation, variate, or auto). |
data[].unsubscribed | integer | The total number of unsubscribed members for this campaign. |
Reports Context Store SQL Query
Run a SQL query against reports records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "reports",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.reports.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "reports",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Email Activity
Email Activity List
Get a list of member's subscriber activity in a specific campaign
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "email_activity",
"action": "list",
"params": {
"campaign_id": "<str>"
}
}'
Python SDK
await mailchimp.email_activity.list(
campaign_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "email_activity",
"action": "list",
"params": {
"campaign_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
campaign_id | string | Yes | The unique id for the campaign |
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
since | string | No | Restrict results to email activity events that occur after a specific time |
Response Schema
Records
| Field Name | Type | Description |
|---|
campaign_id | string | null | |
list_id | string | null | |
list_is_active | boolean | null | |
email_id | string | null | |
email_address | string | null | |
activity | array | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Email Activity Context Store Search
Search and filter email activity records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "email_activity",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"action": "<str>"
}
}
}
}
}'
Python SDK
await mailchimp.email_activity.context_store_search(
query={"filter": {"eq": {"action": "<str>"}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "email_activity",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"action": "<str>"}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
action | string | One of the following actions: 'open', 'click', or 'bounce' |
campaign_id | string | The unique id for the campaign. |
email_address | string | Email address for a subscriber. |
email_id | string | The MD5 hash of the lowercase version of the list member's email address. |
ip | string | The IP address recorded for the action. |
list_id | string | The unique id for the list. |
list_is_active | boolean | The status of the list used, namely if it's deleted or disabled. |
timestamp | string | The date and time recorded for the action in ISO 8601 format. |
type | string | If the action is a 'bounce', the type of bounce received: 'hard', 'soft'. |
url | string | If the action is a 'click', the URL on which the member clicked. |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].action | string | One of the following actions: 'open', 'click', or 'bounce' |
data[].campaign_id | string | The unique id for the campaign. |
data[].email_address | string | Email address for a subscriber. |
data[].email_id | string | The MD5 hash of the lowercase version of the list member's email address. |
data[].ip | string | The IP address recorded for the action. |
data[].list_id | string | The unique id for the list. |
data[].list_is_active | boolean | The status of the list used, namely if it's deleted or disabled. |
data[].timestamp | string | The date and time recorded for the action in ISO 8601 format. |
data[].type | string | If the action is a 'bounce', the type of bounce received: 'hard', 'soft'. |
data[].url | string | If the action is a 'click', the URL on which the member clicked. |
Email Activity Context Store SQL Query
Run a SQL query against email activity records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "email_activity",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.email_activity.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "email_activity",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Automations
Automations List
Get a summary of an account's classic automations
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "automations",
"action": "list"
}'
Python SDK
await mailchimp.automations.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "automations",
"action": "list"
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
before_create_time | string | No | Restrict the response to automations created before this time |
since_create_time | string | No | Restrict the response to automations created after this time |
before_start_time | string | No | Restrict the response to automations started before this time |
since_start_time | string | No | Restrict the response to automations started after this time |
status | "save" | "paused" | "sending" | No | Restrict the results to automations with the specified status |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
create_time | string | null | |
start_time | string | null | |
status | string | null | |
emails_sent | integer | null | |
recipients | object | null | |
settings | object | null | |
tracking | object | null | |
report_summary | object | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Automations Context Store Search
Search and filter automations records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "automations",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": "<str>"
}
}
}
}
}'
Python SDK
await mailchimp.automations.context_store_search(
query={"filter": {"eq": {"id": "<str>"}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "automations",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": "<str>"}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | string | A string that uniquely identifies an Automation workflow |
create_time | string | The date and time the Automation was created |
start_time | string | The date and time the Automation was started |
status | string | The current status of the Automation |
emails_sent | integer | The total number of emails sent for the Automation |
recipients | object | List settings for the Automation |
settings | object | The settings for the Automation workflow |
tracking | object | The tracking options for the Automation |
report_summary | object | A summary of opens and clicks for sent campaigns |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | string | A string that uniquely identifies an Automation workflow |
data[].create_time | string | The date and time the Automation was created |
data[].start_time | string | The date and time the Automation was started |
data[].status | string | The current status of the Automation |
data[].emails_sent | integer | The total number of emails sent for the Automation |
data[].recipients | object | List settings for the Automation |
data[].settings | object | The settings for the Automation workflow |
data[].tracking | object | The tracking options for the Automation |
data[].report_summary | object | A summary of opens and clicks for sent campaigns |
Automations Context Store SQL Query
Run a SQL query against automations records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "automations",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.automations.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "automations",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Search for tags on a list by name
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "tags",
"action": "list",
"params": {
"list_id": "<str>"
}
}'
Python SDK
await mailchimp.tags.list(
list_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tags",
"action": "list",
"params": {
"list_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
name | string | No | The search query used to filter tags |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Tags Context Store Search
Search and filter tags records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "tags",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": 0
}
}
}
}
}'
Python SDK
await mailchimp.tags.context_store_search(
query={"filter": {"eq": {"id": 0}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tags",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | integer | The unique id for the tag |
name | string | The name of the tag |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | The unique id for the tag |
data[].name | string | The name of the tag |
Tags Context Store SQL Query
Run a SQL query against tags records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "tags",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.tags.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tags",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Interest Categories
Interest Categories List
Get information about a list's interest categories
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "interest_categories",
"action": "list",
"params": {
"list_id": "<str>"
}
}'
Python SDK
await mailchimp.interest_categories.list(
list_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "interest_categories",
"action": "list",
"params": {
"list_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
Response Schema
Records
| Field Name | Type | Description |
|---|
list_id | string | null | |
id | string | |
title | string | null | |
display_order | integer | null | |
type | string | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Interest Categories Get
Get information about a specific interest category
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "interest_categories",
"action": "get",
"params": {
"list_id": "<str>",
"interest_category_id": "<str>"
}
}'
Python SDK
await mailchimp.interest_categories.get(
list_id="<str>",
interest_category_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "interest_categories",
"action": "get",
"params": {
"list_id": "<str>",
"interest_category_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
interest_category_id | string | Yes | The unique ID for the interest category |
Response Schema
Records
| Field Name | Type | Description |
|---|
list_id | string | null | |
id | string | |
title | string | null | |
display_order | integer | null | |
type | string | null | |
Interest Categories Context Store Search
Search and filter interest categories records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "interest_categories",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"list_id": "<str>"
}
}
}
}
}'
Python SDK
await mailchimp.interest_categories.context_store_search(
query={"filter": {"eq": {"list_id": "<str>"}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "interest_categories",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"list_id": "<str>"}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
list_id | string | The unique list id for the category |
id | string | The id for the interest category |
title | string | The text description of this category |
display_order | integer | The order that the categories are displayed in the list |
type | string | Determines how this category's interests appear on signup forms |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].list_id | string | The unique list id for the category |
data[].id | string | The id for the interest category |
data[].title | string | The text description of this category |
data[].display_order | integer | The order that the categories are displayed in the list |
data[].type | string | Determines how this category's interests appear on signup forms |
Interest Categories Context Store SQL Query
Run a SQL query against interest categories records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "interest_categories",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.interest_categories.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "interest_categories",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Interests
Interests List
Get a list of this category's interests
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "interests",
"action": "list",
"params": {
"list_id": "<str>",
"interest_category_id": "<str>"
}
}'
Python SDK
await mailchimp.interests.list(
list_id="<str>",
interest_category_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "interests",
"action": "list",
"params": {
"list_id": "<str>",
"interest_category_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
interest_category_id | string | Yes | The unique ID for the interest category |
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
Response Schema
Records
| Field Name | Type | Description |
|---|
category_id | string | null | |
list_id | string | null | |
id | string | |
name | string | null | |
subscriber_count | string | null | |
display_order | integer | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Interests Get
Get interests or group names for a specific category
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "interests",
"action": "get",
"params": {
"list_id": "<str>",
"interest_category_id": "<str>",
"interest_id": "<str>"
}
}'
Python SDK
await mailchimp.interests.get(
list_id="<str>",
interest_category_id="<str>",
interest_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "interests",
"action": "get",
"params": {
"list_id": "<str>",
"interest_category_id": "<str>",
"interest_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
interest_category_id | string | Yes | The unique ID for the interest category |
interest_id | string | Yes | The specific interest or group name |
Response Schema
Records
| Field Name | Type | Description |
|---|
category_id | string | null | |
list_id | string | null | |
id | string | |
name | string | null | |
subscriber_count | string | null | |
display_order | integer | null | |
Interests Context Store Search
Search and filter interests records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "interests",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"category_id": "<str>"
}
}
}
}
}'
Python SDK
await mailchimp.interests.context_store_search(
query={"filter": {"eq": {"category_id": "<str>"}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "interests",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"category_id": "<str>"}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
category_id | string | The id for the interest category |
list_id | string | The ID for the list that this interest belongs to |
id | string | The ID for the interest |
name | string | The name of the interest |
subscriber_count | string | The number of subscribers associated with this interest |
display_order | integer | The display order for interests |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].category_id | string | The id for the interest category |
data[].list_id | string | The ID for the list that this interest belongs to |
data[].id | string | The ID for the interest |
data[].name | string | The name of the interest |
data[].subscriber_count | string | The number of subscribers associated with this interest |
data[].display_order | integer | The display order for interests |
Interests Context Store SQL Query
Run a SQL query against interests records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "interests",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.interests.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "interests",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Segments
Segments List
Get information about all available segments for a specific list
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "segments",
"action": "list",
"params": {
"list_id": "<str>"
}
}'
Python SDK
await mailchimp.segments.list(
list_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "segments",
"action": "list",
"params": {
"list_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
type | string | No | Limit results based on segment type |
since_created_at | string | No | Restrict results to segments created after the set time |
before_created_at | string | No | Restrict results to segments created before the set time |
since_updated_at | string | No | Restrict results to segments updated after the set time |
before_updated_at | string | No | Restrict results to segments updated before the set time |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
member_count | integer | null | |
type | string | null | |
created_at | string | null | |
updated_at | string | null | |
options | object | null | |
list_id | string | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Segments Get
Get information about a specific segment
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "segments",
"action": "get",
"params": {
"list_id": "<str>",
"segment_id": "<str>"
}
}'
Python SDK
await mailchimp.segments.get(
list_id="<str>",
segment_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "segments",
"action": "get",
"params": {
"list_id": "<str>",
"segment_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
segment_id | string | Yes | The unique id for the segment |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
member_count | integer | null | |
type | string | null | |
created_at | string | null | |
updated_at | string | null | |
options | object | null | |
list_id | string | null | |
Segments Context Store Search
Search and filter segments records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "segments",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": 0
}
}
}
}
}'
Python SDK
await mailchimp.segments.context_store_search(
query={"filter": {"eq": {"id": 0}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "segments",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | integer | The unique id for the segment |
name | string | The name of the segment |
member_count | integer | The number of active subscribers currently included in the segment |
type | string | The type of segment |
created_at | string | The date and time the segment was created |
updated_at | string | The date and time the segment was last updated |
options | object | The conditions of the segment |
list_id | string | The list id |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | The unique id for the segment |
data[].name | string | The name of the segment |
data[].member_count | integer | The number of active subscribers currently included in the segment |
data[].type | string | The type of segment |
data[].created_at | string | The date and time the segment was created |
data[].updated_at | string | The date and time the segment was last updated |
data[].options | object | The conditions of the segment |
data[].list_id | string | The list id |
Segments Context Store SQL Query
Run a SQL query against segments records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "segments",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.segments.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "segments",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Segment Members
Segment Members List
Get information about members in a saved segment
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "segment_members",
"action": "list",
"params": {
"list_id": "<str>",
"segment_id": "<str>"
}
}'
Python SDK
await mailchimp.segment_members.list(
list_id="<str>",
segment_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "segment_members",
"action": "list",
"params": {
"list_id": "<str>",
"segment_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
list_id | string | Yes | The unique ID for the list |
segment_id | string | Yes | The unique id for the segment |
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
email_address | string | null | |
unique_email_id | string | null | |
email_type | string | null | |
status | string | null | |
merge_fields | object | null | |
interests | object | null | |
stats | object | null | |
ip_signup | string | null | |
timestamp_signup | string | null | |
ip_opt | string | null | |
timestamp_opt | string | null | |
member_rating | integer | null | |
last_changed | string | null | |
language | string | null | |
vip | boolean | null | |
email_client | string | null | |
location | object | null | |
list_id | string | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Segment Members Context Store Search
Search and filter segment members records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "segment_members",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": "<str>"
}
}
}
}
}'
Python SDK
await mailchimp.segment_members.context_store_search(
query={"filter": {"eq": {"id": "<str>"}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "segment_members",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": "<str>"}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | string | The MD5 hash of the lowercase version of the list member's email address |
email_address | string | Email address for a subscriber |
unique_email_id | string | An identifier for the address across all of Mailchimp |
email_type | string | Type of email this member asked to get |
status | string | Subscriber's current status |
merge_fields | object | A dictionary of merge fields where the keys are the merge tags |
interests | object | The key of this object's properties is the ID of the interest in question |
stats | object | Open and click rates for this subscriber |
ip_signup | string | IP address the subscriber signed up from |
timestamp_signup | string | The date and time the subscriber signed up for the list |
ip_opt | string | The IP address the subscriber used to confirm their opt-in status |
timestamp_opt | string | The date and time the subscriber confirmed their opt-in status |
member_rating | integer | Star rating for this member, between 1 and 5 |
last_changed | string | The date and time the member's info was last changed |
language | string | If set/detected, the subscriber's language |
vip | boolean | VIP status for subscriber |
email_client | string | The list member's email client |
location | object | Subscriber location information |
list_id | string | The list id |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | string | The MD5 hash of the lowercase version of the list member's email address |
data[].email_address | string | Email address for a subscriber |
data[].unique_email_id | string | An identifier for the address across all of Mailchimp |
data[].email_type | string | Type of email this member asked to get |
data[].status | string | Subscriber's current status |
data[].merge_fields | object | A dictionary of merge fields where the keys are the merge tags |
data[].interests | object | The key of this object's properties is the ID of the interest in question |
data[].stats | object | Open and click rates for this subscriber |
data[].ip_signup | string | IP address the subscriber signed up from |
data[].timestamp_signup | string | The date and time the subscriber signed up for the list |
data[].ip_opt | string | The IP address the subscriber used to confirm their opt-in status |
data[].timestamp_opt | string | The date and time the subscriber confirmed their opt-in status |
data[].member_rating | integer | Star rating for this member, between 1 and 5 |
data[].last_changed | string | The date and time the member's info was last changed |
data[].language | string | If set/detected, the subscriber's language |
data[].vip | boolean | VIP status for subscriber |
data[].email_client | string | The list member's email client |
data[].location | object | Subscriber location information |
data[].list_id | string | The list id |
Segment Members Context Store SQL Query
Run a SQL query against segment members records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "segment_members",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.segment_members.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "segment_members",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Unsubscribes
Unsubscribes List
Get information about members who have unsubscribed from a specific campaign
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "unsubscribes",
"action": "list",
"params": {
"campaign_id": "<str>"
}
}'
Python SDK
await mailchimp.unsubscribes.list(
campaign_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "unsubscribes",
"action": "list",
"params": {
"campaign_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
campaign_id | string | Yes | The unique id for the campaign |
count | integer | No | The number of records to return |
offset | integer | No | Used for pagination |
Response Schema
Records
| Field Name | Type | Description |
|---|
email_id | string | null | |
email_address | string | null | |
merge_fields | object | null | |
vip | boolean | null | |
timestamp | string | null | |
reason | string | null | |
campaign_id | string | null | |
list_id | string | null | |
list_is_active | boolean | null | |
| Field Name | Type | Description |
|---|
links | array<object> | |
Unsubscribes Context Store Search
Search and filter unsubscribes records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "unsubscribes",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"email_id": "<str>"
}
}
}
}
}'
Python SDK
await mailchimp.unsubscribes.context_store_search(
query={"filter": {"eq": {"email_id": "<str>"}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "unsubscribes",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"email_id": "<str>"}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
email_id | string | The MD5 hash of the lowercase version of the list member's email address |
email_address | string | Email address for a subscriber |
merge_fields | object | A dictionary of merge fields where the keys are the merge tags |
vip | boolean | VIP status for subscriber |
timestamp | string | The date and time the member opted-out |
reason | string | If available, the reason listed by the member for unsubscribing |
campaign_id | string | The campaign id |
list_id | string | The list id |
list_is_active | boolean | The status of the list used |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].email_id | string | The MD5 hash of the lowercase version of the list member's email address |
data[].email_address | string | Email address for a subscriber |
data[].merge_fields | object | A dictionary of merge fields where the keys are the merge tags |
data[].vip | boolean | VIP status for subscriber |
data[].timestamp | string | The date and time the member opted-out |
data[].reason | string | If available, the reason listed by the member for unsubscribing |
data[].campaign_id | string | The campaign id |
data[].list_id | string | The list id |
data[].list_is_active | boolean | The status of the list used |
Unsubscribes Context Store SQL Query
Run a SQL query against unsubscribes records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "mailchimp",
"entity": "unsubscribes",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await mailchimp.unsubscribes.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "unsubscribes",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |